update problemen

Hoi
Heb wat problemen met de laatste Leap updates , en vraag me af wat er niet goed gaat .:\Heb in iedergeval wat problemen ge ignored maar weet niet of dat een handige keuze is.:slight_smile:


14 packages to upgrade.
Overall download size: 0 B. Already cached: 23.8 MiB. After the operation, 14.1 MiB will be freed.
Continue? [y/n/? shows all options] (y): y
In cache flash-player-11.2.202.554-1.1.x86_64.rpm                                                                                            (1/14),  11.4 MiB ( 34.8 MiB unpacked)
In cache libavutil54-2.8.3-38.1.x86_64.rpm                                                                                                   (2/14), 140.1 KiB (310.8 KiB unpacked)
In cache libavresample2-2.8.3-38.1.x86_64.rpm                                                                                                (3/14),  48.9 KiB (122.4 KiB unpacked)
In cache libswscale3-2.8.3-38.1.x86_64.rpm                                                                                                   (4/14), 135.0 KiB (502.4 KiB unpacked)
In cache libswresample1-2.8.3-38.1.x86_64.rpm                                                                                                (5/14),  47.1 KiB (102.4 KiB unpacked)
In cache libpostproc53-2.8.3-38.1.x86_64.rpm                                                                                                 (6/14),  50.1 KiB (118.3 KiB unpacked)
In cache libxine2-1.2.6-96.1.x86_64.rpm                                                                                                      (7/14),   2.2 MiB (  5.6 MiB unpacked)
In cache libavcodec56-2.8.3-38.1.x86_64.rpm                                                                                                  (8/14),   3.4 MiB (  9.5 MiB unpacked)
In cache libavformat56-2.8.3-38.1.x86_64.rpm                                                                                                 (9/14), 726.9 KiB (  1.8 MiB unpacked)
In cache libxine2-codecs-1.2.6-96.1.x86_64.rpm                                                                                              (10/14), 386.2 KiB (  1.3 MiB unpacked)
In cache libavfilter5-2.8.3-38.1.x86_64.rpm                                                                                                 (11/14), 464.3 KiB (  1.4 MiB unpacked)
In cache libavdevice56-2.8.3-38.1.x86_64.rpm                                                                                                (12/14),  55.8 KiB (127.9 KiB unpacked)
In cache ffmpeg-2.8.3-38.1.x86_64.rpm                                                                                                       (13/14),   1.3 MiB (  1.9 MiB unpacked)
In cache libgdal1-1.11.3-26.1.x86_64.rpm                                                                                                    (14/14),   3.5 MiB ( 12.3 MiB unpacked)
Checking for file conflicts: ................................................................................................................................................[done]
( 1/14) Installing: flash-player-11.2.202.554-1.1 ..........................................................................................................................[error]
Installation of flash-player-11.2.202.554-1.1 failed:
Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed: cpio: lstat failed - Stale file handle
error: flash-player-11.2.202.554-1.1.x86_64: install failed
error: flash-player-11.2.202.548-1.1.x86_64: erase skipped


Abort, retry, ignore? [a/r/i] (a): r
Installation of flash-player-11.2.202.554-1.1 failed:
Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed: cpio: lstat failed - Stale file handle
error: flash-player-11.2.202.554-1.1.x86_64: install failed
error: flash-player-11.2.202.548-1.1.x86_64: erase skipped


Abort, retry, ignore? [a/r/i] (a): i
( 2/14) Installing: libavutil54-2.8.3-38.1 ..................................................................................................................................[done]
( 3/14) Installing: libavresample2-2.8.3-38.1 ...............................................................................................................................[done]
( 4/14) Installing: libswscale3-2.8.3-38.1 ..................................................................................................................................[done]
( 5/14) Installing: libswresample1-2.8.3-38.1 ...............................................................................................................................[done]
( 6/14) Installing: libpostproc53-2.8.3-38.1 ................................................................................................................................[done]
( 7/14) Installing: libxine2-1.2.6-96.1 ....................................................................................................................................[error]
Installation of libxine2-1.2.6-96.1 failed:
Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed: cpio: lstat failed - Stale file handle
error: libxine2-1.2.6-96.1.x86_64: install failed
error: libxine2-1.2.6-94.1.x86_64: erase skipped


Abort, retry, ignore? [a/r/i] (a): i
( 8/14) Installing: libavcodec56-2.8.3-38.1 .................................................................................................................................[done]
( 9/14) Installing: libavformat56-2.8.3-38.1 ................................................................................................................................[done]
(10/14) Installing: libxine2-codecs-1.2.6-96.1 ..............................................................................................................................[done]
(11/14) Installing: libavfilter5-2.8.3-38.1 .................................................................................................................................[done]
(12/14) Installing: libavdevice56-2.8.3-38.1 ................................................................................................................................[done]
(13/14) Installing: ffmpeg-2.8.3-38.1 ......................................................................................................................................[error]
Installation of ffmpeg-2.8.3-38.1 failed:
Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed: cpio: lstat failed - Stale file handle
error: ffmpeg-2.8.3-38.1.x86_64: install failed
error: ffmpeg-2.8.3-2.1.x86_64: erase skipped

We vragen om, indien toepasselijk, compleet je computer text te posten. Dus prompt, command, uitvoer (het enige dat we hierboven hebben) en de volgende prompt. Nu hebben we geen idee van her commando dat dit veroorzaakt.

Helemaal mee eens. Maar, ik herken “zypper up”, en weet wat er gebeurd is:

  1. Flashplayer is niet juist ondertekend, kun je ignoren, voor zover ik weet is Packman al op de hoogte.
  2. Ergens ( openSUSE? Een mirror? ) zijn de repodata verschenen voordat de pakketten er waren. En dan gaat het mis omdat de pakketten in de verkeerde versie binnenkomen en dan de controlegetallen niet meer kloppen. Je trekt dus eigenlijk de versie binnen die al geïnstalleerd is, zypper kijkt in repodata of dat OK is, klopt niet en dan zie je de fout die jij ziet.

Oplossing, even wachten en dan:


zypper clean
zypper ref
zypper up

We vragen om, indien toepasselijk, compleet je computer text te posten
ga ik beter op letten :shame: Foutje in het kopieren van de hoeveelheid tekst.

Flashplayer is niet juist ondertekend, kun je ignoren
ga ik doen:)

zypper clean
zypper ref
zypper up

En die moet ik maar goed onthouden:)